package com.ktg.iscs.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.ktg.common.mapper.BaseMapperX;
import com.ktg.iscs.domain.IsSopUser;

/**
 * SOP用户Mapper接口
 *
 * @author cgj
 * @date 2024-11-18
 */
@Mapper
public interface IsSopUserMapper extends BaseMapperX<IsSopUser>
{
    /**
     * 查询SOP用户
     *
     * @param recordId SOP用户主键
     * @return SOP用户
     */
    IsSopUser selectIsSopUserByRecordId(Long recordId);

    /**
     * 查询SOP用户列表
     *
     * @param isSopUser SOP用户
     * @return SOP用户集合
     */
    List<IsSopUser> selectIsSopUserList(IsSopUser isSopUser);

    /**
     * 新增SOP用户
     *
     * @param isSopUser SOP用户
     * @return 结果
     */
    int insertIsSopUser(IsSopUser isSopUser);

    /**
     * 修改SOP用户
     *
     * @param isSopUser SOP用户
     * @return 结果
     */
    int updateIsSopUser(IsSopUser isSopUser);

    /**
     * 删除SOP用户
     *
     * @param recordId SOP用户主键
     * @return 结果
     */
    int deleteIsSopUserByRecordId(Long recordId);

    /**
     * 批量删除SOP用户
     *
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteIsSopUserByRecordIds(Long[] recordIds);
}
